*{
    margin: 0;
    padding: 0;
}

body{
    box-sizing: border-box;
}

.flex-container{
    
    max-width: 1100px;
    width: 100%;
    margin: 40px auto;
    margin-top: 120px;
    padding: 30px;
    box-shadow: 1px 1px 2px rgba(0, 0,0,0.125);
    border-radius: 20px;
    display: flex;
}

.flex-container .container{
    width: 100%;
    margin: 0 10px;
    
}

/* ************************************************************************************************************** */
.flex-container .container  .form{
    width: 100%;
    background: #DEDBDB;
    border-radius: 20px;
    padding: 20px 0;

    
}

.flex-container .form .form__section1{
    margin-bottom: 15px;
    display: flex;
    align-items: center;
}

.flex-container .form .form__section1 label{
    /* width: 200px; */
    color: #757575;
    margin-left: 20px;
    margin-right: 35px;
    font-size: 14px;
    text-align: justify;
}

.flex-container .form .form__section1 input{
    outline: none;
    border: 1px solid #d5dbd9;
    font-size: 15px;
    padding: 8px 10px;
    border-radius: 3px;
    transition: all 0.3s ease;
    background-color: #E8F9FA;
}

.modificar{
    color: #757575;
    text-decoration: none;
    position: absolute;
    right: 52vw;
}

.entreg{
    margin-top: 20px;
}
.izqui{
    margin-left: 50px;
}
.cuota{
    background-color: #12CB31;
    color: white !important;
    padding: 5px 10px;
}


/* ===================== IMAGENES ====================*/
.mercadoPago{
    width: 70px;
    margin-left: 90px;
}
.scotiabank{
    width: 100px;
    margin-left: 90px;
}
.bbva{
    width: 70px;
    margin-left: 20px;
}
.mastercard, .visa{
    width: 60px;
    margin-left: 20px;
}
.mastercardd{
    margin-left: 90px;
}
/* =================================================== */

.aceptarNuestros{
    margin-left: 90px;
}

    
.aceptando{
    margin-top: -20px;
    margin-left: 70px;
    margin-right: 10px;

}

.IRpagar{
    background: black;
    color: white;
    margin-left: 15%;
    margin-top: 10px;
    height: 40px;
    width: 30%;
    font-family: 'Kanit', sans-serif;   
    border: none; 
    size: 1;
}

/* ************************************************************************************************************** */

.flex-container .container .form__section{
    margin-top: 10px;
    padding: 13px 0px;
    margin-bottom: 5px;
    display: flex;
    align-items: center;
    width: 100%;
    background: #DEDBDB; 
    border-radius: 20px;

}
.flex-container .container .cantidades {
    border-radius: 0px;
    margin-top: -5px;

}
.flex-container .container .totales{
    border-radius: 0px;

}
/* ---------------------------------------------------------------------- */

.flex-container .container .form__section img{
    margin-right: 10px;
    width: 40px;
}
.flex-container .container .imagenes{
    padding: 13px 0px;
    margin-bottom: 15px;
    align-items: center;
    width: 100%;
    background: white; 
    display: block;
}
.contenido{
    display: flex;
    flex-direction: row;
    margin-bottom: 20px;
}
/* ---------------------------------------------------------------------- */

/* ------------------------------------------------ */
.flex-container .container .form__section label{
    width: 100%;
    color: #757575;
    margin-right: 25px;
    font-size: 14px;
}
.der{
    text-align: end;
    color: black !important;
    font-family: 'Montserrat', sans-serif;
}
.izq{
    margin-left: 20px;
}
.noHay{
    color: #757575;
}
/* ------------------------------------------------ */


/* ====================================== VENTANA MODAL TERMINO Y CONDICION ==================================*/
.modal{
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    background: rgba(0, 0,0,0.5);
    transition: all 500ms ease;
    opacity: 0;
    visibility: hidden;
}

#btn-modal:checked ~ .modal{
    opacity: 1;
    visibility: visible ;
}
    
.contenedor{
    width: 90%;
    height: 80%;
    margin: auto;
    background: #DEDBDB;
    color: #676363;
    border-radius: 3px;
    overflow: scroll;
    text-align: justify;
    box-shadow: 1px 7px 25px rgba(0, 0,0,0.6);
    transition: all 500ms ease;
    transform: translateY(-30%);
    margin-top: 120px;

}

#btn-modal:checked ~ .modal .contenedor{
    transform: translateY(0%);
}

.contenedor .terminoCondiciones{
    padding: 10px;
    background: #7E0404;
    /* position: fixed; */
    width: 100%;

    color: #fff;
}

.parrafoPrincipal{
    margin-top: 20px;
    margin-left: 30px;
    margin-right: 30px;
}
.resaltar{
    color: black;
}

.contenedor .btn-cierre{
    position: absolute;
    text-align: center;
    padding: 5px;
    width: 30px;
    top: 5px;
    right: 20px;
    font-size: 15px;
    font-family: 'Kanit', sans-serif; 
    cursor: pointer;
    border-radius: 50%;
    color: #fff;
    background-color: #A42525;
    box-shadow: 1px 7px 25px rgba(0, 0,0,0.6);
    border: 1px solid rgb(202, 34, 34);     
}
.contenedor .btn-cerrar{
    position: absolute;
    text-align: center;
    padding: 5px;
    width: 80px;
    top: 960px;
    right: 540px;
    font-size: 15px;
    font-family: 'Kanit', sans-serif; 
    cursor: pointer;
    border-radius: 3px;
    color: #fff;
    background-color: black;
}
.contenedor .btn-cierre:hover{
    color: #7E0404;
    background-color: red;
}
.contenedor .btn-cerrar:hover{
    color: #676363;
}
.lbl-modal{
    color: blue !important;
    margin-left: 5px !important;
    cursor: pointer;
}

#btn-modal{
    display: none;
}
.btn-cerrar{
    display: none;
}


/* --------------------------------------- RESPONSIVE ----------------------------- */



@media only screen and (max-width:1030px){

    .tituloPago, .desactiva{
        font-size: 15px;
    }

    .tarjetaCredito, .tarjetaDebito, .textoPagar{
        font-size: 12px;
    }
    .cuota{
        font-size: 10px !important;
    }

    /* ===================== IMAGENES ====================*/
    .mercadoPago{
        width: 50px;
        margin-left: 50px;
    }
    .scotiabank{
        width: 50px;
        margin-left: 50px;
    }
    .bbva{
        width: 30px;
        margin-left: 20px;
    }
    .mastercard, .visa{
        width: 30px;
        margin-left: 20px;
    }
    .mastercardd{
        margin-left: 90px;
    }
    /* =================================================== */     

    .aceptarNuestros {
        font-size: 12px;
        margin-left: 20px;
    }
    .lbl-modal{
        font-size: 12px !important;
    }
    .aceptando{
        margin-left: 20px;
    }
    .politicas{
        font-size: 12px;
    }


    .modificar{
        font-size: 10px;
    }


   .textoEnvios{
       font-size: 12px;
       margin-left: 1px;
   }

   .entregas{
       margin-left: -60px;
   }
    /* ----------------------- */
   .comenta{
       font-size: 12px !important;
       margin-left: 1px !important;
   }
   .textArea{
        margin-left: 40px !important;
   }
    /* ----------------------- */

    .continuar{
        width: 30%;
        margin-left: 24vw;
    }
}


@media only screen and (max-width:745px){
    
    .datoPers, .direccioon{
        padding-bottom: 20px;
    }

    .modificar{
        margin-top: 35px;
    }
    
     

    .continuar{
        width: 50%;
        margin-left: 60px;
    }

    .metodoDeEnvio{
        padding-bottom: 10px;
    }


    .transGratis{
        font-size: 10px !important;
    }
    .IRpagar{
        width: 40%;
    }

    .flex-container .container .form__section img{
        margin-right: 10px;
        height: 40px;
    }
}



@media only screen and (max-width:620px){

    /* ===================== IMAGENES ====================*/
    .mercadoPago{
        width: 50px;
        margin-left: 10px;
    }
    .scotiabank{
        width: 50px;
        margin-left: 10px;
    }
    .bbva{
        width: 30px;
        margin-left: 20px;
    }
    .mastercard, .visa{
        width: 30px;
        margin-left: 20px;
    }
    .mastercardd{
        margin-left: 90px;
    }
    /* =================================================== */     
}

@media only screen and (max-width:480px){

    .flex-container{
        display: block;
        margin-left: 1px;
        margin-top: 100px;
    }

    .modificar{
        margin-top: -20px;
        margin-right: -40vw;
    }
    .princ {
        margin-top: 20px !important;
    }

    .terminoCondiciones{
        font-size: 12px;
    }
    .btn-cierre{
        font-size: 10px !important;
    }
    .parrafoPrincipal{
        font-size: 10px;
    }
    .IRpagar{
        width: 40%;
    }
}

@media only screen and (max-width:330px){

    .modificar{
        margin-top: 20px;
    }
}